5.0.1 here. If it works there, it'll work in 5.1.